%define major	15
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name: aspell
Version: 0.60.6
Release: %mkrel 6
Summary: A Free and Open Source interactive spelling checker program
Group: Text tools
Source0: ftp://ftp.gnu.org/gnu/aspell/%{name}-%{version}.tar.gz
URL: http://aspell.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
License: LGPL
Requires: aspell-dictionary

%description
GNU Aspell is a Free and Open Source spell checker designed to eventually 
replace Ispell. It can either be used as a library or as an independent 
spell checker. 
Its main feature is that it does a much better job of coming up with possible 
suggestions than just about any other spell checker out there for the English 
language, including Ispell and Microsoft Word. It also has many other technical
enhancements over Ispell such as using shared memory for dictionaries and 
intelligently handling personal dictionaries when more than one Aspell process 
is open at once. 

%pre
if [ -d %_libdir/aspell ]; then 
    rm -rf %_libdir/aspell
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO
%{_bindir}/aspell*
%{_bindir}/run-with-aspell
%{_bindir}/word-list-compress
%{_bindir}/precat
%{_bindir}/preunzip
%{_bindir}/prezip
%{_bindir}/prezip-bin
%{_libdir}/aspell-0.60
%{_libdir}/aspell
%doc %{_datadir}/info/aspell*
%doc %{_mandir}/man1/*.1*

#----------------------------------------------------------------------

%package -n %{libname}
Group: Text tools
Summary: Shared library files for aspell

%description -n %{libname}
Shared library files for the aspell package.

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/lib*.so.%{major}*

#----------------------------------------------------------------------

%package -n %{develname}
Group: Development/Other
Summary: Development files for aspell
Requires: %{name} = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Provides: libaspell-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{libname}-devel
Conflicts: libpspell4-devel

%description -n %{develname}
Development headers, and files for development from the aspell package.

%files -n %{develname}
%defattr(-, root, root)
%{_bindir}/pspell-config
%_includedir/*
%_libdir/libaspell.so
%_libdir/libpspell.so
%_libdir/lib*.la
%multiarch %{multiarch_bindir}/pspell-config

#----------------------------------------------------------------------

%package manual
Group: Text tools
Summary: Manual for aspell

%description manual
This package contains a manual for aspell.

GNU Aspell is a Free and Open Source spell checker designed to eventually 
replace Ispell. It can either be used as a library or as an independent 
spell checker. 

%files manual
%defattr(-, root, root)
%doc manual/*

#----------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x 

%make

%install
rm -rf %buildroot

make DESTDIR=%buildroot install

# Provides symlink for configures that mean to match aspell on %%_libdir/aspell
pushd %buildroot%_libdir
    ln -sf aspell-0.60 aspell
popd

# multiarch policy
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/pspell-config

%find_lang %{name}



%clean
rm -rf %buildroot




%changelog
* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.60.6-6mdv2010.0
+ Revision: 413042
- rebuild

* Mon Mar 23 2009 Götz Waschk <waschk@mandriva.org> 0.60.6-5mdv2009.1
+ Revision: 360644
- rebuild

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 0.60.6-4mdv2009.1
+ Revision: 316457
- rebuild

* Mon Aug 25 2008 Emmanuel Andry <eandry@mandriva.org> 0.60.6-3mdv2009.0
+ Revision: 275998
- apply devel policy
- check major

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.60.6-2mdv2009.0
+ Revision: 264320
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 21 2008 Oden Eriksson <oeriksson@mandriva.com> 0.60.6-1mdv2009.0
+ Revision: 209743
- 0.60.6 (may fix build with gcc43)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.60.5-7mdv2008.1
+ Revision: 148465
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.60.5-6mdv2008.0
+ Revision: 89572
- rebuild

* Mon May 21 2007 Helio Chissini de Castro <helio@mandriva.com> 0.60.5-5mdv2008.0
+ Revision: 29447
- Play nice with shell during installs

* Fri May 18 2007 Helio Chissini de Castro <helio@mandriva.com> 0.60.5-4mdv2008.0
+ Revision: 28334
- Back to old libdir 0.60 as pointed by Thierry Vignaud, To keep compat with other apps configures
  that looks in plain aspell directory, keep a symlink to aspell.

* Fri Apr 20 2007 Helio Chissini de Castro <helio@mandriva.com> 0.60.5-3mdv2008.0
+ Revision: 16358
- Install proper aspell files under aspell dir, bit under a versionated dir. Is clear that in 2008 we
  will not have 2 aspell on machines, and having such versionated dir made all packages depending on
  aspell add a patch on their configures to detect, instead of standard aspell. Now things is a little
  bit more sane, as we fix the parent source, not the dependencies.
- Remove unused patch


* Mon Jan 29 2007 Olivier Blin <oblin@mandriva.com> 0.60.5-2mdv2007.0
+ Revision: 115140
- split manual in aspell-manual package

* Thu Jan 18 2007 Jérôme Soyer <saispo@mandriva.org> 0.60.5-1mdv2007.1
+ Revision: 110162
- New release 0.60.5

* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.60.4-3mdv2007.1
+ Revision: 74494
- Import aspell

* Thu Sep 07 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.60.4-3mdv2007.0
- Add Patch to fix extra qualification

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 0.60.4-2mdk
- rebuild for sparc

* Tue Nov 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.60.4-1mdk
- new release

* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.60.3-2mdk
- fix rpmlint errors ( dot ended summary )

* Wed Jun 29 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.60.3-1mdk
- new release

* Fri Feb 25 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.60.2-2mdk
- multiarch

* Mon Dec 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.60.2-1mdk
- 0.60.2

* Wed Dec 01 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.60.1.1-1mdk
- updated version

* Fri Sep 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.50.5-3mdk
- Enable libtoolize
- Remove patch0, regenerate build environment instead

* Fri Jun 04 2004 Laurent Montel <lmontel@mandrakesoft.com> 0.50.5-2mdk
- Rebuild against new gcc

* Fri May 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.50.5-1mdk
- Release 0.50.5
- Regenreate patch0 (partially merged)

* Fri May 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.50.4.1-2mdk
- Rebuild

* Mon Mar 08 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.50.4.1-1.2mdk
- really fix amd64 build

* Mon Mar 01 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.50.4.1-1.1mdk
- amd64 build fixes

